Subject: bug#9150: 24.0.50; process started with start-process is missing tty

From: Jan Djärv <[email-masked]>
Date: Tue, 26 Jul 2011 12:32:16 +0200

Ralf Schmitt skrev 2011-07-25 14:17:
> Jan Djärv<[email-masked]>  writes:
>
>> Relevant info: This seems to happen only in Arch Linux.
>>
>> 	Jan D.
>
> While testing if it also happens when I start emacs with -nw I noticed
> that it's also non-deterministic: Sometimes the buffer contains the word
> yes.
>
> I could probably setup an archlinux system for testing and provide an
> account if anyone want's to have a deeper look at it.

I installed Arch in a virtual machine.  I still can't reproduce the problem, I 
get yes all the time.  So it is not Arch in itself.  What shell are you 
running?  Can you start a pure /bin/sh and then emacs from there?

	Jan D.